/*
 *	タイムスタンプ作成ユーティリティ
 *
 *	万国標準時1970/1/1 00:00:00からの経過秒数を、現地時刻のコメント付きで出力します。
 *	簡易UUIDとして利用するために作成しました。
 *
 *	Copyright (C) 2005 Naoyuki Sawa
 *
 *	* Thu Dec 01 21:05:00 JST 2005 Naoyuki Sawa
 *	- 1st リリース。
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

int
main(int argc, char* argv[])
{
	time_t t;
	struct tm* tm;
	char buf[100];

	switch(argc) {
	case 1 + 0:
		time(&t);
		break;
	case 1 + 1:
		t = atoi(argv[1]);
		break;
	default:
		t = 0;
		break;
	}
	if(!t) {
		printf("USAGE: timestmp [万国標準時 1970/1/1 00:00:00 からの経過秒数]\n");
		printf("       パラメータを省略すると、現在時刻に基づいて出力します。\n");
		exit(1);
	}

	tm = localtime(&t);
	strftime(buf, sizeof buf, "%Y/%m/%d %H:%M:%S", tm);
	printf("%d/*%s*/\n", t, buf);
	
	return 0;
}
